!function () {
    const NFT_AUTO_API_DOMAIN = 'https://p2e.tools'
    // const NFT_AUTO_API_DOMAIN = 'http://localhost:3001'
    const hostname = window.location.hostname
    const getData = async (url, data) => {
        const response = await fetch(url, {
            method: 'GET',
            headers: {
                'Content-Type': 'application/json'
            },
        });
        return response.json(); // parses JSON response into native JavaScript objects
    }
    const getFeature = async () => {
        let result = await getData(`${NFT_AUTO_API_DOMAIN}/features`)
        let container = document.querySelector('.available-game')
        if (result.data && result.data.length > 0) {
            container.innerHTML = ''
            result.data.forEach(item => {
                if (item.status === 'active') {
                    let str = `<div class="available-game-item">
                        <div class="flex-row">
                          <div class="available-game-icon">
                            <img src="${NFT_AUTO_API_DOMAIN}${item.image}" alt="">
                          </div>
                          <div class="available-game-heading">
                            <h3>${item.name}</h3>
                            <div class="subtitle">${item.desc || ''}</div>
                          </div>
                        </div>
                        <div class="available-game-button">
                        </div>
                      </div>`
                    container.insertAdjacentHTML('beforeend', str)
                }
            })
        }
    }
    getFeature()
}();
